When booting up Safari, it would get as far as loading up the first viewing window before becoming completely unresponsive. After several restarts, I decided to trash the app and download the most current version of Safari from apple.com. Yet the installer kept saying that my hard drive doesn't meet the requirements to install the .pkg file.

The only thing I could think of doing was trashing some of Safari's preference file, but I couldn't find any via Spotlight. Can anyone help me solve this without resorting to re-installing OSX Tiger? I am currently looking for my lost OSX disc in case that is my only option to resolving this matter.

Today I tried installing the Safari 3 beta, yet it gave me the same error when trying to install.